SIGSET(3) | Library Functions Manual | SIGSET(3)

# NAME

`sigset` —
manipulate signal dispositions

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <signal.h>`

void (*
`sigset`(int sig, void (*disp)(int)))(int);

# DESCRIPTION

This interface is made obsolete by sigaction(2) and sigprocmask(2).

The `sigset`() function manipulates the disposition of the signal sig. The new disposition is given in disp.

If disp is one of `SIG_DFL`, `SIG_IGN`, or the address of a handler function, the disposition of sig is changed accordingly, and sig is removed from the process' signal mask. Also, if disp is the address of a handler function, sig will be added to the process' signal mask during execution of the handler.

If disp is equal to `SIG_HOLD`, sig is added to the calling process' signal mask and the disposition of sig remains unchanged.

# RETURN VALUES

If successful, the `sigset`() function returns `SIG_HOLD` if sig had been blocked, and the previous disposition of sig if it had not been blocked. Otherwise `SIG_ERR` is returned and errno is set to indicate the error.

# ERRORS

The `sigset`() function will fail if:

[`EINVAL`]
  The argument sig is not a valid signal number; or an attempt is made to ignore a signal that cannot be ignored, such as `SIGKILL` or `SIGSTOP`.

# SEE ALSO

sigaction(2), sigprocmask(2)

# STANDARDS

The `sigset`() function conforms to IEEE Std 1003.1-2001 (“POSIX.1”). It was however marked as obsolete in the IEEE Std 1003.1-2008 (“POSIX.1”) revision of the standard.

April 30, 2010 | NetBSD 9.0